From 18508ef7b728f40941fe6199b5367784511ef6db Mon Sep 17 00:00:00 2001
From: Veera Vegivada <quic_vvegivad@quicinc.com>
Date: Mon, 26 Sep 2022 11:08:27 +0530
Subject: [PATCH 09/65] rpmhpd support for lemans

Signed-off-by: Veera Vegivada <quic_vvegivad@quicinc.com>
Change-Id: I67c48e064f136860d926133b96765ebfc258ea1b
---
 arch/arm64/boot/dts/qcom/lemans.dtsi | 50 ++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)

diff --git a/arch/arm64/boot/dts/qcom/lemans.dtsi b/arch/arm64/boot/dts/qcom/lemans.dtsi
index b5b0c089fc68..ecffdc64407a 100644
--- a/arch/arm64/boot/dts/qcom/lemans.dtsi
+++ b/arch/arm64/boot/dts/qcom/lemans.dtsi
@@ -411,6 +411,56 @@ apps_rsc: rsc@18200000 {
 		qcom,tcs-config = <ACTIVE_TCS    2>, <SLEEP_TCS     3>,
 			<WAKE_TCS 3>, <CONTROL_TCS   0>;
 		label = "apps_rsc";
+
+		rpmhpd: power-controller {
+			compatible = "qcom,lemans-rpmhpd";
+			#power-domain-cells = <1>;
+			operating-points-v2 = <&rpmhpd_opp_table>;
+
+			rpmhpd_opp_table: opp-table {
+				compatible = "operating-points-v2";
+
+				rpmhpd_opp_ret: opp1 {
+					opp-level = <RPMH_REGULATOR_LEVEL_RETENTION>;
+				};
+
+				rpmhpd_opp_min_svs: opp2 {
+					opp-level = <RPMH_REGULATOR_LEVEL_MIN_SVS>;
+				};
+
+				rpmhpd_opp_low_svs: opp3 {
+					opp-level = <RPMH_REGULATOR_LEVEL_LOW_SVS>;
+				};
+
+				rpmhpd_opp_svs: opp4 {
+					opp-level = <RPMH_REGULATOR_LEVEL_SVS>;
+				};
+
+				rpmhpd_opp_svs_l1: opp5 {
+					opp-level = <RPMH_REGULATOR_LEVEL_SVS_L1>;
+				};
+
+				rpmhpd_opp_nom: opp6 {
+					opp-level = <RPMH_REGULATOR_LEVEL_NOM>;
+				};
+
+				rpmhpd_opp_nom_l1: opp7 {
+					opp-level = <RPMH_REGULATOR_LEVEL_NOM_L1>;
+				};
+
+				rpmhpd_opp_nom_l2: opp8 {
+					opp-level = <RPMH_REGULATOR_LEVEL_NOM_L2>;
+				};
+
+				rpmhpd_opp_turbo: opp9 {
+					opp-level = <RPMH_REGULATOR_LEVEL_TURBO>;
+				};
+
+				rpmhpd_opp_turbo_l1: opp10 {
+					opp-level = <RPMH_REGULATOR_LEVEL_TURBO_L1>;
+				};
+			};
+		};
 	};
 
 	arch_timer: timer {
-- 
2.31.1

